## Controller Python Script "survey_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=
##title=Survey edit

REQUEST=context.REQUEST
from Products.CMFPlone import transaction_note

questions = context.listFields()

MARKER=[]

for q in questions:
	id  = q.getId()
	schema = q.Schema()
	question_fields = [field for field in schema.filterFields(isImportant=1)
					if field.mode != 'r' ]

	kws = {}
	for field in question_fields:
		name = field.getName()
		fid = '%s_%s' % (id, name)
		rval = REQUEST.get(fid, None)
		kws[name] = rval
		
	q.edit(**kws)

msg='Changes saved'
transaction_note(msg)

return state.set(portal_status_message=msg)
